using Microsoft.Extensions.DependencyInjection;

using Tests.CoreTests.Abstractions;

namespace ExtensionsTests.Abstractions {
  public abstract class ServicesBase : ConfigurationBase {

    public ServicesBase() : base() { }

    protected override void ConfigureServices(IServiceCollection services) {
      // configure strongly typed settings objects
      var appSettingsSection = _configuration.GetSection("Configuration");
      services.Configure<Configuration>(appSettingsSection);
      // var appSettings = appSettingsSection.Get<Configuration>();
    }
  }
}